### Class

# Msg DriveItem

#### Description

    class Msg.DriveItem : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- MsgDriveItemFile
- MsgDriveItemFolder

#### Constructors

###### msg_drive_item_new_from_json

Creates a new `MsgDriveItem` from json response object.

#### Instance methods

###### msg_drive_item_get_created

Get created time of drive item.

###### msg_drive_item_get_drive_id

Gets drive id of drive item.

###### msg_drive_item_get_etag

Gets etag of drive item.

###### msg_drive_item_get_id

Get id of drive item.

###### msg_drive_item_get_modified

Gets modified time of drive item.

###### msg_drive_item_get_name

Gets name of drive item.

###### msg_drive_item_get_parent_id

Gets parent id of drive item.

###### msg_drive_item_get_remote_drive_id

Get remote parent drive id of drive item.

###### msg_drive_item_get_remote_id

Get remote id of drive item.

###### msg_drive_item_get_size

Gets size of drive item.

###### msg_drive_item_get_user

Gets user of drive item.

###### msg_drive_item_is_shared

Gets whether item is shared.

###### msg_drive_item_set_id

Sets id of drive item.

###### msg_drive_item_set_name

Sets name of drive item.

###### msg_drive_item_set_parent_id

Set parent id of drive item.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgDriveItemClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.